<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/

$route['default_controller'] = "frontend/home";
$route['404_override']       = '';

$route['about']              = "frontend/main/about";
$route['about/(:num)']       = "frontend/main/about/$1";
$route['qsp']                = "frontend/main/qsp";
$route['services']           = "frontend/main/services";
$route['clients']            = "frontend/main/clients";
$route['contact']                = "frontend/main/contact";
$route['news_det/(:num)']        = "frontend/main/news_det/$1";
$route['download_attach/(:num)'] = "frontend/main/download_attach/$1";
$route['upload']                = "frontend/main/upload";
$route['location_map']          = "frontend/main/location_map";
$route['qsp_book']              = "frontend/main/qsp_book";

// Backend
$route['admin']                       = "backend/admin";
$route['admin/login']                 = "backend/users/login";
$route['admin/logout']                = "backend/users/logout";
$route['admin/change_pwd']            = "backend/users/change_pwd";

$route['admin/add_client']            = "backend/admin/add_client";
$route['admin/clients']               = "backend/admin/clients";
$route['admin/edit_client/(:num)']    = "backend/admin/edit_client/$1";
$route['admin/pages/(:num)']          = "backend/admin/pages/$1";
$route['admin/add_news']              = "backend/admin/add_news";
$route['admin/news']                  = "backend/admin/news";
$route['admin/edit_news/(:num)']      = "backend/admin/edit_news/$1";
$route['admin/delete/(:num)/(:num)']  = "backend/admin/delete/$1/$2";

$route['admin/depts']                 = "backend/admin/depts";
$route['admin/add_dept']              = "backend/admin/add_dept";
$route['admin/del_dept/(:num)']       = "backend/admin/del_dept/$1";
$route['admin/edit_dept/(:num)']      = "backend/admin/edit_dept/$1";

$route['admin/team']                  = "backend/admin/team";
$route['admin/add_member']            = "backend/admin/add_member";
$route['admin/edit_member/(:num)']    = "backend/admin/edit_member/$1";
/* End of file routes.php */
/* Location: ./application/config/routes.php */