<?php
class Admin_model extends CI_Model {
    function __construct()
    {
        parent::__construct();
    }

	function add_client($img_title, $img_name, $img_ext, $publish) {
        $client = array(
							'img_title' => $img_title,
							'img_name'  => $img_name,
							'img_ext'   => $img_ext,
							'publish'   => $publish
					   );
        $this->db->insert('clients', $client);
		return $this->db->affected_rows();
	}

	function get_clients() {
		$this->db->order_by('id', 'desc');
		return $this->db->get('clients')->result();
	}

	function edit_client($client_id, $img_title, $img_name, $img_ext, $publish) {
		$client = $this->db->get_where('clients', array('id' => $client_id))->row();
		$updated_client = array(
									'img_title' => $img_title,
									'publish'   => $publish
							   );
		if(!empty($img_name)) {
			// Delete the old image
			$old_image = $client->img_name . $client->img_ext;
			$this->delele_file('uploads/images/clients/', $old_image);
			$updated_client['img_name'] = $img_name;
			$updated_client['img_ext']  = $img_ext;
		}
		$this->db->where('id' , $client_id);		
		$this->db->update('clients', $updated_client);
		return TRUE;
	}

	function delete($item_id, $type) {
		switch($type) {
			case 1:
				$table = 'news';
				$path  = 'uploads/images/news/';
			break;			case 2:
				$table = 'emp';
				$path  = 'uploads/images/team/';
			break;
			case 3:
				$table = 'clients';
				$path  = 'uploads/images/clients/';
			break;
		}
		$row  = $this->db->get_where($table, array('id' => $item_id))->row();
		// Delete the image file
		$image = $row->img_name . $row->img_ext;
		$this->delele_file($path, $image);
		if($type == 1) { // News
			$thumb = $row->img_name . '_thumb' . $row->img_ext;
			$this->delele_file($path.'thumb/', $thumb);
			if($row->attach_file) {
				$file = $row->attach_file_name . $row->attach_file_ext;
				$this->delele_file('uploads/files/news/', $file);
			}
		}
		$this->db->where('id' , $item_id);
		$this->db->delete($table);
		return $this->db->affected_rows();
	}

	function delele_file($path, $file) {
		$root = $this->config->item('root');
		unlink($root.$path.$file);
	}
	
	function get_news() {
		$this->db->order_by('id', 'desc');
		return $this->db->get('news')->result();
	}

	function add_news($news_title, $news_text, $img_name, $img_ext, $upload_attach_file, $file_name, $file_ext, $publish) {
        $news = array(
						'title'    => $news_title,
						'text'     => $news_text,
						'img_name' => $img_name,
						'img_ext'  => $img_ext,
						'publish'  => $publish
					);
		if($upload_attach_file) {
			$news['attach_file']      = 1;
			$news['attach_file_name'] = $file_name;
			$news['attach_file_ext']  = $file_ext;
		}	
        $this->db->insert('news', $news);
		return $this->db->affected_rows();
	}
	
	function edit_news($news_id, $news_title, $news_text, $img_name, $img_ext, $delete_file_check , $attach_name, $attach_ext , $publish) {
		$news = $this->db->get_where('news', array('id' => $news_id))->row();
		$updated_news = array(
								'title'   => $news_title,
								'text'    => $news_text,
								'publish' => $publish
							 );
							if(!empty($img_name)) {
								// Delete the old image
								$old_image       = $news->img_name . $news->img_ext;
								$this->delele_file('uploads/images/news/', $old_image);
								$old_thumb_image = $news->img_name.'_thumb' . $news->img_ext;
								$this->delele_file('uploads/images/news/thumb/', $old_thumb_image);
								$updated_news['img_name'] = $img_name;
								$updated_news['img_ext']  = $img_ext;
							}
							if($delete_file_check || (!$delete_file_check && !empty($attach_name) && $news->attach_file)) {
								$file = $news->attach_file_name . $news->attach_file_ext;
								$this->delele_file('uploads/files/news/', $file);
							}
							if($delete_file_check) {
								$updated_news['attach_file']      = 0;
								$updated_news['attach_file_name'] = ''; 
								$updated_news['attach_file_ext']  = '';
							}
							if(!$delete_file_check && !empty($attach_name)) {
								$updated_news['attach_file']      = 1;
								$updated_news['attach_file_name'] = $attach_name; 
								$updated_news['attach_file_ext']  = $attach_ext;								
							}
		$this->db->where('id' , $news_id);		
		$this->db->update('news', $updated_news);
		return TRUE;
	}
	function del_dept($dept_id) {
		$this->db->where('id' , $dept_id);
		$this->db->delete('depts');
		return $this->db->affected_rows();		
	}
	function add_member($emp_name, $position, $dept_id, $f_account, $t_account, $img_name, $img_ext, $publish) {
        $member = array(
							'dept_id'  => $dept_id,
							'emp_name' => $emp_name,
							'position' => $position,
							'img_name' => $img_name,
							'img_ext'  => $img_ext,
							'publish'  => $publish
					   );
					if(!empty($f_account)) {
						$member['facebook'] = $f_account;
					}
					if(!empty($t_account)) {
						$member['twitter'] = $t_account;
					}
        $this->db->insert('emp', $member);
		return $this->db->affected_rows();
	}
	function get_team() {
		return $this->db->query("SELECT e.id, e.dept_id, e.emp_name, e.position, e.facebook, e.twitter, e.img_name, e.img_ext, e.publish, e.timestamp, d.dept_name
		FROM emp e, depts d
		WHERE 
		e.dept_id = d.id")->result();
	}		function edit_member($emp_id, $emp_name, $position, $dept_id, $f_account, $t_account, $img_name, $img_ext, $publish) {		$emp = $this->db->get_where('emp', array('id' => $emp_id))->row();		
	$updated_emp = array(
	'dept_id'  => $dept_id,
	'emp_name' => $emp_name,
	'position' => $position,
	'facebook' => $f_account,
	'twitter'  => $t_account,
	'publish'  => $publish
	);							if(!empty($img_name)) {								$old_image       = $emp->img_name . $emp->img_ext;								$this->delele_file('uploads/images/team/', $old_image);								$updated_emp['img_name'] = $img_name;								$updated_emp['img_ext']  = $img_ext;							}		$this->db->where('id' , $emp_id);				$this->db->update('emp', $updated_emp);		return TRUE;	}
}